/* (C) 2022 YiRing, Inc. */
package com.yiring.app.domain.risk;

import com.yiring.app.domain.workArea.WorkArea;
import com.yiring.common.domain.BasicEntity;
import java.io.Serial;
import java.io.Serializable;
import javax.persistence.*;
import lombok.*;
import lombok.experimental.FieldDefaults;
import lombok.experimental.FieldNameConstants;
import lombok.experimental.SuperBuilder;
import org.hibernate.annotations.Comment;

/**
 * 部门信息控制器
 *
 * @author LJ-2204
 * @date 2022/5/23
 */

@Getter
@Setter
@ToString
@SuperBuilder(toBuilder = true)
@NoArgsConstructor
@AllArgsConstructor
@FieldNameConstants
@FieldDefaults(level = AccessLevel.PRIVATE)
@Entity
@Table(name = "BS_RISK_PUSH")
@Comment("风险推送")
public class RiskPush extends BasicEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = -4532411898085672339L;

    @Comment("工区")
    @OneToOne
    WorkArea workArea;

    @Comment("风险等级")
    @Enumerated(EnumType.STRING)
    Level level;

    //    @Comment("撤离推送")
    //    @Builder.Default
    //    @OneToMany(mappedBy = "riskPush")
    //    Set<RiskWithdrawalPush> withdrawalPush = new HashSet<>(0);
    //
    //    @Comment("处置推送")
    //    @Builder.Default
    //    @OneToMany(mappedBy = "riskPush")
    //    Set<RiskHandlePush> handlePush = new HashSet<>(0);

    @SuppressWarnings({ "unused" })
    public enum Level {
        RED("红色预警"),
        ORANGE("橙色预警"),
        YELLOW("黄色预警"),
        BLUE("蓝色预警");

        final String text;

        Level(String text) {
            this.text = text;
        }

        public String text() {
            return this.text;
        }
    }
}
