/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.key;

import com.yiring.app.domain.key.KeyAlarm;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 按键报警
 *
 * @author LJ-2204
 * @date 2022/5/12
 */

@ApiModel("KeyAlarmAddParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class KeyAlarmAddParam implements Serializable {

    @Serial
    private static final long serialVersionUID = 6914927126284215967L;

    @ApiModelProperty(value = "标签编号", example = "BTT88888888")
    String tagId;

    @ApiModelProperty(value = "报警人ID", example = "14433")
    Long entityId;

    @ApiModelProperty(value = "地图总图", example = "1")
    Long areaId;

    @ApiModelProperty(value = "推送时间", example = "")
    LocalDateTime raiseTime;

    @ApiModelProperty(value = "x", example = "1")
    BigDecimal x;

    @ApiModelProperty(value = "y", example = "1")
    BigDecimal y;

    @ApiModelProperty(value = "z", example = "1")
    BigDecimal z;

    public static KeyAlarm transform(KeyAlarmAddParam param) {
        return KeyAlarm.builder().areaId(param.areaId).x(param.getX()).y(param.getY()).z(param.getZ()).build();
    }
}
