/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.risk;

import com.yiring.app.domain.risk.RiskPush;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 风险推送
 *
 * @author LJ-2204
 * @date 2022/5/23
 */

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel("RiskPushConditionParam")
public class RiskPushConditionParam implements Serializable {

    @Serial
    private static final long serialVersionUID = -6881143618338622978L;

    @ApiModelProperty(value = "工区id", example = "1")
    Long workId;

    @ApiModelProperty(value = "风险等级", example = "RED/ORANGE/YELLOW/BLUE")
    RiskPush.Level level;
}
