/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.workArea;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author tzl
 * @version 1.0
 * @description:
 * @date 2022/5/21 10:02
 */
@ApiModel("WorkAreaQueryParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class WorkAreaQueryParam implements Serializable {

    @Serial
    private static final long serialVersionUID = -8037877534751243885L;

    @ApiModelProperty(value = "工区名称", example = "工业区", required = true)
    String workAreaName;

    @ApiModelProperty(value = "每页记录数", example = "10")
    Integer pageSize;

    @ApiModelProperty(value = "页码", example = "1")
    Integer pageNo;
}
