/* (C) 2022 YiRing, Inc. */
package com.yiring.app.service.workArea;

import com.yiring.app.param.workArea.WorkAreaParam;
import com.yiring.app.param.workArea.WorkAreaQueryParam;
import com.yiring.app.vo.workArea.WorkAreaVo;
import com.yiring.common.core.Result;
import com.yiring.common.param.IdParam;
import com.yiring.common.vo.PageVo;
import javax.servlet.http.HttpServletResponse;

public interface WorkAreaService {
    /**
     * 新增工区信息
     * @author tzl
     * @date 2022/5/21 9:50
     * @param workAreaParam WorkAreaParam
     * @return com.yiring.common.core.Result<java.lang.String>
     */
    Result<String> saveWorkArea(WorkAreaParam workAreaParam);
    /**
     * 修改工区信息
     * @author tzl
     * @date 2022/5/21 9:51
     * @param workAreaParam WorkAreaParam
     * @param idParam IdParam
     * @return com.yiring.common.core.Result<java.lang.String>
     */
    Result<String> updateWorkArea(WorkAreaParam workAreaParam, IdParam idParam);
    /**
     * 删除工区信息
     * @author tzl
     * @date 2022/5/21 9:51
     * @param idParam IdParam
     * @return com.yiring.common.core.Result<java.lang.String>
     */
    Result<String> deleteWorkArea(IdParam idParam);
    /**
     * 查询工区信息
     * @author tzl
     * @date 2022/5/21 10:04
     * @param workAreaQueryParam WorkAreaQueryParam
     * @return com.yiring.common.core.Result<com.yiring.app.vo.workArea.WorkAreaVo>
     */
    Result<PageVo<WorkAreaVo>> pageWorkArea(WorkAreaQueryParam workAreaQueryParam);
    /**
     * 导出工区信息
     * @author tzl
     * @date 2022/5/21 10:14
     * @param workAreaQueryParam  WorkAreaQueryParam
     */
    void export(WorkAreaQueryParam workAreaQueryParam, HttpServletResponse httpServletResponse);
}
