/* (C) 2022 YiRing, Inc. */
package com.yiring.app.stomp.message;

import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.*;
import lombok.experimental.FieldDefaults;
import org.locationtech.jts.geom.Point;

/**
 * @author Jim
 * @version 0.1
 * 2022/5/16 19:32
 */

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class PositionMessage implements Serializable {

    @Serial
    private static final long serialVersionUID = -1806101353088274819L;

    @Builder.Default
    String type = "position";

    LocalDateTime time;
    Long tagId;
    String tagCode;
    Long entityId;
    Point point;
}
