/* (C) 2022 YiRing, Inc. */
package com.yiring.app.vo.location.fence;

import com.yiring.app.domain.location.LocationFenceAlarm;
import java.io.Serial;
import java.io.Serializable;
import java.util.List;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 扫描围栏报警的vo
 * @author tml
 * @version 1.0
 * @date 2022/5/16 9:17
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class LocationFenceJobVo implements Serializable {

    @Serial
    private static final long serialVersionUID = -594643836931827494L;

    /**
     * 需要添加的报警信息集合
     */
    private List<LocationFenceAlarm> addAlarm;

    /**
     * 需要修改成取消报警的报警信息集合
     */
    private List<LocationFenceAlarm> modifyAlarm;

    /**
     * 合并一个LocationFenceJobVo
     * @param vo 目标LocationFenceJobVo
     */
    public void merge(LocationFenceJobVo vo) {
        addAlarm.addAll(vo.getAddAlarm());
        modifyAlarm.addAll(vo.getModifyAlarm());
    }
}
