/* (C) 2022 YiRing, Inc. */
package com.yiring.app.vo.workArea;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiring.app.domain.video.Video;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author tzl
 * @version 1.0
 * @description:
 * @date 2022/5/21 9:47
 */
@ApiModel("WorkAreaVo")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class WorkAreaVo implements Serializable {

    @Serial
    private static final long serialVersionUID = -7662909335410925656L;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "id", example = "1", required = true)
    private Long id;

    @ApiModelProperty(value = "工区名称", example = "工业区")
    String workAreaName;

    @ApiModelProperty(value = "消抖阈值（秒）", example = "1")
    Integer threshold;

    @ApiModelProperty(value = "超时时间（秒）", example = "1")
    Integer timeout;

    @ApiModelProperty(value = "负责人", example = "1")
    String personInCharge;

    @ApiModelProperty(value = "联系电话", example = "17674741309")
    String mobile;

    @ApiModelProperty(value = "摄像头", example = "1")
    Video video;
}
