/* (C) 2022 YiRing, Inc. */
package com.yiring.app.web.risk;

import com.yiring.app.param.risk.RiskWithdrawalPushSaveParam;
import com.yiring.app.service.risk.RiskWithdrawalPushService;
import com.yiring.app.vo.risk.RiskWithdrawalPushVo;
import com.yiring.common.core.Result;
import com.yiring.common.param.IdParam;
import com.yiring.common.param.PageParam;
import com.yiring.common.vo.PageVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import javax.annotation.Resource;
import javax.validation.Valid;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

/**
 * 撤离推送
 *
 * @author LJ-2204
 * @date 2022/5/24
 */

@Slf4j
@Validated
@SuppressWarnings({ "deprecation" })
@Api(tags = "撤离推送", description = "RiskWithdrawalPush")
@RestController
@RequestMapping("/risk/withdrawal/push/")
public class RiskWithdrawalPushController {

    @Resource
    RiskWithdrawalPushService riskWithdrawalPushService;

    @ApiOperation("新增")
    @PostMapping("add")
    public Result<String> add(@Valid RiskWithdrawalPushSaveParam param) {
        return riskWithdrawalPushService.add(param);
    }

    @ApiOperation("分页查询")
    @GetMapping("page")
    public Result<PageVo<RiskWithdrawalPushVo>> page(@Valid PageParam pageParam) {
        return riskWithdrawalPushService.page(pageParam);
    }

    @ApiOperation("删除")
    @DeleteMapping("delete")
    public Result<String> delete(@Valid IdParam idParam) {
        return riskWithdrawalPushService.delete(idParam);
    }

    @ApiOperation("编辑")
    @PutMapping("modify")
    public Result<String> modify(@Valid RiskWithdrawalPushSaveParam param, @Valid IdParam idParam) {
        return riskWithdrawalPushService.modify(param, idParam);
    }
}
